NAME
OpenAPI::Client::OpenAI::Path::organization-users - Documentation for the /organization/users path.
OPERATIONS
GET /organization/users
list-users
$client->list_users({
body => { ... },
});
Lists all of the users in the organization.
Path/query parameters
limit(in query, optional, integer) - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.Default: 20
after(in query, optional, string) - A cursor for use in pagination.afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.emails(in query, optional, array) - Filter by the email address of users.
Responses
200 - Users listed successfully.
Content-Type: application/json
Example:
{
"data" : [
"{\n \"object\": \"organization.user\",\n \"id\": \"user_abc\",\n \"name\": \"First Last\",\n \"email\": \"user@example.com\",\n \"role\": \"owner\",\n \"added_at\": 1711471533\n}\n"
],
"first_id" : "string",
"has_more" : false,
"last_id" : "string",
"object" : "list"
}
SCHEMAS
User
Properties:
added_at(integer, required) - The Unix timestamp (in seconds) of when the user was added.api_key_last_used_at(anyOf) - The Unix timestamp (in seconds) of the user's last API key usage.created(integer) - The Unix timestamp (in seconds) of when the user was created.developer_persona(anyOf) - The developer persona metadata for the user.email(anyOf) - The email address of the userid(string, required) - The identifier, which can be referenced in API endpointsis_default(boolean) - Whether this is the organization's default user.is_scale_tier_authorized_purchaser(anyOf) - Whether the user is an authorized purchaser for Scale Tier.is_scim_managed(boolean) - Whether the user is managed through SCIM.is_service_account(boolean) - Whether the user is a service account.name(anyOf) - The name of the userobject(string, required) - The object type, which is alwaysorganization.userAllowed values: organization.user
projects(anyOf) - Projects associated with the user, if included.role(anyOf) -ownerorreadertechnical_level(anyOf) - The technical level metadata for the user.user(object) - Nested user details.
UserListResponse
Properties:
data(array of User, required)first_id(anyOf)has_more(boolean, required)last_id(anyOf)object(string, required)Allowed values: list
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.